Get customer
curl --request POST \
--url https://api.livechatinc.com/v3.7/customer/action/get_customer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.livechatinc.com/v3.7/customer/action/get_customer"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.livechatinc.com/v3.7/customer/action/get_customer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "b7eff798-f8df-4364-8059-649c35c9ed0c",
"type": "customer",
"name": "Thomas Anderson",
"email": "t.anderson@example.com",
"avatar": "https://example.com/avatars/1.jpg",
"session_fields": [
{
"custom_key": "custom_value"
},
{
"another_custom_key": "another_custom_value"
}
]
}Customers
Get customer
Returns the info about the customer requesting it.
POST
/
action
/
get_customer
Get customer
Authorizations
Customer access token obtained from the customer authorization flow.
Query Parameters
Unique identifier of the organization.
Body
application/json
The body is of type object.
Response
200 - application/json
Customer info.
The customer's name. Returned only if set.
The customer's email. Returned only if set.
The customer's avatar. Returned only if set.
The customer's phone number. Returned only if set.
An array of custom object-enclosed key-value pairs. Returned only if set. Available for the session duration.
An object of the customer's omnichannel data.
An object of the customer's address data. Returned only if set.
Was this page helpful?